#pragma once

// Parametrierung der auf den Körper wirkende Kräfte:
struct Vektor {
  float x; // [m/s^2]
  float y; // [m/s^2]
};
// Körper:
struct Koerper {
  float masse; // [kg]
  Vektor position;
  Vektor geschwindigkeit;
};

Vektor addVektor(Vektor vec1, Vektor vec2);
Vektor mulVektor(Vektor vec, float skalar);
Koerper bewegeKoerper(Koerper korp, Vektor gesamtkraft, float dt);
void ausgabeKoerper(Koerper korp);
void ausgabeVektor(Vektor vec);
